Bug 1419862 (CVE-2017-5896)

Summary: CVE-2017-5896 mupdf: Heap-based buffer overflow in fz_subsample_pixmap
Product: [Other] Security Response Reporter: Andrej Nemec <anemec>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: pavel
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-03-07 15:46:56 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1363695    
Bug Blocks:    

Description Andrej Nemec 2017-02-07 09:26:08 UTC
A heap-buffer overflow vulnerability was found in fz_subsample_pixmap.

References:

http://seclists.org/oss-sec/2017/q1/322

Upstream bug:

https://bugs.ghostscript.com/show_bug.cgi?id=697515

Comment 1 Andrej Nemec 2017-02-07 09:26:58 UTC
Created mupdf tracking bugs for this issue:

Affects: fedora-all [bug 1363695]

Comment 2 Andrej Nemec 2017-02-10 11:27:07 UTC
Upstream patch:

http://www.ghostscript.com/cgi-bin/findgit.cgi?
2c4e5867ee699b1081527bc6c6ea0e99a35a5c27